Debian Bug report logs - #652545
pu: package samba/2:3.5.6~dfsg-3squeeze5

version graph

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Christian Perrier <bubulle@debian.org>

Date: Sun, 18 Dec 2011 13:09:02 UTC

Severity: normal

Tags: moreinfo, squeeze

Fixed in version 6.0.4

Done: "Adam D. Barratt" <adam@adam-barratt.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, pkg-samba-maint@lists.alioth.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#652545; Package release.debian.org. (Sun, 18 Dec 2011 13:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
New Bug report received and forwarded. Copy sent to pkg-samba-maint@lists.alioth.debian.org, Debian Release Team <debian-release@lists.debian.org>. (Sun, 18 Dec 2011 13:09:12 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: pu: package samba/2:3.5.6~dfsg-3squeeze5
Date: Sun, 18 Dec 2011 14:08:04 +0100
[Message part 1 (text/plain, inline)]
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: pu

I would like to update samba in squeeze to fix #652048. This bug is
very annoying for people who use samba servers with non encrypted
passwords and the fix (which upstream also pushed in their stable
release) is trivial.

Patch attached.

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 3.1.0-1-686-pae (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[0001-s3-Fix-bug-8238-KB2536276-prevents-access-to-sha.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#652545; Package release.debian.org. (Sun, 18 Dec 2011 14:27:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 18 Dec 2011 14:27:13 GMT) Full text and rfc822 format available.

Message #10 received at 652545@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Christian Perrier <bubulle@debian.org>, 652545@bugs.debian.org
Subject: Re: Bug#652545: pu: package samba/2:3.5.6~dfsg-3squeeze5
Date: Sun, 18 Dec 2011 14:22:16 +0000
tag 652545 + moreinfo squeeze
thanks

On Sun, 2011-12-18 at 14:08 +0100, Christian Perrier wrote:
> I would like to update samba in squeeze to fix #652048. This bug is
> very annoying for people who use samba servers with non encrypted
> passwords and the fix (which upstream also pushed in their stable
> release) is trivial.

Does this issue also affect samba 3.6, as shipped in unstable?  The code
paths look very similar, but I don't know the codebase well enough to
trivially spot if the issue would still be relevant in later versions.

Regards,

Adam





Added tag(s) squeeze and moreinfo. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sun, 18 Dec 2011 14:27:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#652545; Package release.debian.org. (Sun, 18 Dec 2011 17:27:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 18 Dec 2011 17:27:09 GMT) Full text and rfc822 format available.

Message #17 received at 652545@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 652545@bugs.debian.org
Subject: Re: Bug#652545: pu: package samba/2:3.5.6~dfsg-3squeeze5
Date: Sun, 18 Dec 2011 18:24:34 +0100
[Message part 1 (text/plain, inline)]
Quoting Adam D. Barratt (adam@adam-barratt.org.uk):
> tag 652545 + moreinfo squeeze
> thanks
> 
> On Sun, 2011-12-18 at 14:08 +0100, Christian Perrier wrote:
> > I would like to update samba in squeeze to fix #652048. This bug is
> > very annoying for people who use samba servers with non encrypted
> > passwords and the fix (which upstream also pushed in their stable
> > release) is trivial.
> 
> Does this issue also affect samba 3.6, as shipped in unstable?  The code
> paths look very similar, but I don't know the codebase well enough to
> trivially spot if the issue would still be relevant in later versions.

Interesting question. I was indeed convinced that the patch made its
way to 3.6 but it apparently didn't. Upstream bug tracker doesn't say
a word about 3.6 or about the patch not being relevant for 3.6.

I'm checking this with upstream....but it probably just got forgotten,
so, yes, 3.6 could be affected by this bug.





[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#652545; Package release.debian.org. (Sun, 08 Jan 2012 16:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 08 Jan 2012 16:57:08 GMT) Full text and rfc822 format available.

Message #22 received at 652545@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 652545@bugs.debian.org
Subject: Re: Bug#652545: pu: package samba/2:3.5.6~dfsg-3squeeze5
Date: Sun, 8 Jan 2012 17:55:58 +0100
[Message part 1 (text/plain, inline)]
Quoting Christian PERRIER (bubulle@debian.org):

> Interesting question. I was indeed convinced that the patch made its
> way to 3.6 but it apparently didn't. Upstream bug tracker doesn't say
> a word about 3.6 or about the patch not being relevant for 3.6.
> 
> I'm checking this with upstream....but it probably just got forgotten,
> so, yes, 3.6 could be affected by this bug.

I uploaded a fixed package in s-p-u. On the other hand, I re-prodded
upstream so that the fix is included in the soon-to-come 3.6.2
release.


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#652545; Package release.debian.org. (Mon, 09 Jan 2012 20:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 09 Jan 2012 20:03:03 GMT) Full text and rfc822 format available.

Message #27 received at 652545@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 652545@bugs.debian.org
Subject: Re: Bug#652545: pu: package samba/2:3.5.6~dfsg-3squeeze5
Date: Mon, 9 Jan 2012 18:46:38 +0100
[Message part 1 (text/plain, inline)]
Quoting Christian PERRIER (bubulle@debian.org):
> Quoting Christian PERRIER (bubulle@debian.org):
> 
> > Interesting question. I was indeed convinced that the patch made its
> > way to 3.6 but it apparently didn't. Upstream bug tracker doesn't say
> > a word about 3.6 or about the patch not being relevant for 3.6.
> > 
> > I'm checking this with upstream....but it probably just got forgotten,
> > so, yes, 3.6 could be affected by this bug.
> 
> I uploaded a fixed package in s-p-u. On the other hand, I re-prodded
> upstream so that the fix is included in the soon-to-come 3.6.2
> release.


Upstream developer Volker Lendecke is 99% sure that he did check that
3.6 versions (thus wheezy and unstable) are *not* affected by this
bug.

(99% because he mentioned that it is "extremely unlikely" that he
didn't check.....and I tend to give him credit for being careful about
these things)


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#652545; Package release.debian.org. (Sat, 14 Jan 2012 18:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 14 Jan 2012 18:15:03 GMT) Full text and rfc822 format available.

Message #32 received at 652545@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Christian PERRIER <bubulle@debian.org>, 652545@bugs.debian.org
Subject: Re: Bug#652545: pu: package samba/2:3.5.6~dfsg-3squeeze5
Date: Sat, 14 Jan 2012 18:10:09 +0000
tag 652545 + pending
thanks

On Mon, 2012-01-09 at 18:46 +0100, Christian PERRIER wrote:
> Quoting Christian PERRIER (bubulle@debian.org):
> > Quoting Christian PERRIER (bubulle@debian.org):
> > 
> > > Interesting question. I was indeed convinced that the patch made its
> > > way to 3.6 but it apparently didn't. Upstream bug tracker doesn't say
> > > a word about 3.6 or about the patch not being relevant for 3.6.
> > > 
> > > I'm checking this with upstream....but it probably just got forgotten,
> > > so, yes, 3.6 could be affected by this bug.
> > 
> > I uploaded a fixed package in s-p-u. On the other hand, I re-prodded
> > upstream so that the fix is included in the soon-to-come 3.6.2
> > release.
> 
> 
> Upstream developer Volker Lendecke is 99% sure that he did check that
> 3.6 versions (thus wheezy and unstable) are *not* affected by this
> bug.

For the record, the uploaded package was accepted earlier this week;
thanks.

Regards,

Adam





Added tag(s) pending. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 14 Jan 2012 18:15:07 GMT) Full text and rfc822 format available.

Bug marked as fixed in version 6.0.4, send any further explanations to Christian Perrier <bubulle@debian.org> Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 28 Jan 2012 14:06:44 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 26 Feb 2012 07:35:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 20:26:52 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.